# ship_gui.cpp File Reference

GUI for ships. More...

`#include "stdafx.h"`
`#include "vehicle_base.h"`
`#include "window_gui.h"`
`#include "gfx_func.h"`
`#include "vehicle_gui.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | DrawShipImage (const Vehicle *v, int x, int y, VehicleID selection)
void | CcBuildShip (bool success, TileIndex tile, uint32 p1, uint32 p2)
void | DrawShipDetails (const Vehicle *v, int x, int y)
| Draw the details for the given vehicle at the position (x, y).

## Detailed Description

GUI for ships.

Definition in file ship_gui.cpp.

## Function Documentation

void DrawShipDetails | ( | const Vehicle * | v,
|  | int | x,
|  | int | y |
| ) |  |  |

Draw the details for the given vehicle at the position (x, y).

Parameters:

  | v | current vehicle
  | x | The x coordinate
  | y | The y coordinate

Definition at line 44 of file ship_gui.cpp.

References DrawString(), and GetCargoSubtypeText().